<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'user') {
    header("Location: login.php");
    exit();
}
require_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $user_id = $_SESSION['user_id'];
    $training_title = $_POST['training_title'];
    $training_date = $_POST['training_date'];
    $trainer_name = $_POST['trainer_name'];
    $presenter_name = $_POST['presenter_name'];
    $partners_count = $_POST['partners_count'];
    $candidates_count = $_POST['candidates_count'];
    $previous_registered_count = $_POST['previous_registered_count'];
    $partners_2x1_count = $_POST['partners_2x1_count'];
    $partners_1x1_count = $_POST['partners_1x1_count'];

    $sql = "INSERT INTO bisycle_tracking (user_id, training_title, training_date, trainer_name, presenter_name, partners_count, candidates_count, previous_registered_count, partners_2x1_count, partners_1x1_count) 
            VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("issssiiiii", $user_id, $training_title, $training_date, $trainer_name, $presenter_name, $partners_count, $candidates_count, $previous_registered_count, $partners_2x1_count, $partners_1x1_count);

    if ($stmt->execute()) {
        header("Location: user_dashboard.php");
    } else {
        echo "خطأ في حفظ البيانات: " . $conn->error;
    }
}
?>