<?php
session_start();
if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'user') {
    header("Location: login.php");
    exit();
}
require_once 'config.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $user_id = $_SESSION['user_id'];
    $personal_presentations = $_POST['personal_presentations'];
    $direct_count = $_POST['direct_count'];
    $sales_volume = $_POST['sales_volume'];
    $weekly_commission = $_POST['weekly_commission'];

    $sql = "INSERT INTO personal_performance (user_id, personal_presentations, direct_count, sales_volume, weekly_commission) 
            VALUES (?, ?, ?, ?, ?)";

    $stmt = $conn->prepare($sql);
    $stmt->bind_param("iiidd", $user_id, $personal_presentations, $direct_count, $sales_volume, $weekly_commission);

    if ($stmt->execute()) {
        header("Location: user_dashboard.php");
    } else {
        echo "خطأ في حفظ البيانات: " . $conn->error;
    }
}
?>